﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var lang = args["language_type"]; %>
  <div id="SHUNT_SET">
      <div class="table-container">                    
        <div class="table-title"><span>/*[ID_SHUNT_SET]*/</span></div>
          <div class="table-list padding-tn">
            <form action="../cgi-bin/web_cgi_control.cgi" id="settingForm" method="post">
            <div class="table">
                <div class="table-header">
                    <ul>
                        <li class="t-1"><strong class="left pl">/*[ID_EQUIP]*/</strong></li>
                        <li class="t-2"><strong class="left pl">/*[ID_SIGNAL]*/</strong></li>
                        <li class="t-3"><strong class="left pl">/*[ID_VALUE]*/</strong></li>
                        <li class="t-4"><strong class="left pl">/*[ID_TIME]*/</strong></li>
                        <li class="t-5"><strong class="left pl">/*[ID_SET_VALUE]*/</strong></li>
                        <li class="t-6"><strong>/*[ID_SET]*/</strong></li>
                    </ul>
                </div>
                <div class="table-body">
                     <%
                     if(data.list && data.list.length>0){
                     for(var i=0,ilen=data.list.length;i<ilen; i++){ 
						  var hasAuthority = args["level"]>=data.list[i][5];
						  var ControlSignal = (data.list[i][3] == 1) ? true : false;
						  var ControlDisabled = (ControlSignal && data.list[i][13]==0 || !hasAuthority) ? true : false;
                          if(data.list[i][6]>0){
                                var setTimeStr = Pages.SetSettingDate(data.list[i][6]);
                            } else {
                                var setTimeStr = "--";
                            }
                        %>
                    <ul class= "<%if(i%2==0){%> gray <%if(i==ilen-1){ %> bottom_line <%}}else{ %><%if(i==ilen-1){ %> bottom_line2 <%}} %>"  id="<%=data.list[i][2] %>_<%=data.list[i][3] %>_<%=data.list[i][4] %>">
                        <li class="t-1"><span class="left pl"><%=data.list[i][0][lang] %></span></li>
						<li class="t-2"><span class="left pl" title="<%=data.list[i][1][lang] %>"><%=data.list[i][1][lang] %></span></li>
                        <li class="t-3"><span class="left pl">
                        <%if(ControlSignal && data.list[i][11].length==1){ %>
                        <%=data.list[i][11][0][lang] %>
                        <%}else{ %>
                        <%if(data.list[i][9]==5){ %><%=data.list[i][11][data.list[i][10]][lang]%> <%}else{ %><%=data.list[i][10] %><%};if(typeof data.list[i][11] =="string"){ %><%=data.list[i][11]%><%};} %></span></li>
                        <li class="t-4"><span class="left pl"><%=setTimeStr %></span></li>
                        <li class="t-5">
                             <%if(data.list[i][9]==5){
                             if(data.list[i][11].length<=2){ %>
                                <span class="left pl radio">
                                <fieldset class="set_value">
                                <%
                                for(var j=0,jlen=data.list[i][11].length; j<jlen;j++){ 
                                var inputValue = (jlen==1)? 1: j;
                                %>
                                <div name="control_<%=i %>" value="<%=inputValue %>" <%if(j==0){if(ControlDisabled){%>class="radiodiv disradiodiv"<%}else{%>class="radiodiv"<%}}else{if(ControlDisabled){%>class="radiodiv disradiodivnot"<%}else{%>class="radiodiv radiodivnot "<%}}%>><label><%=data.list[i][11][j][lang]%></label></div>
                                <%} %>
                                </fieldset>
                                </span>
                            <%}else {%>
                            <span class="left pl selectsp">
                              <div class="dropdown">
                                    <div name="control_<%=i %>" <%if(ControlDisabled){ %> class="input_select set_disabled"<%} else { %> class="input_select set_value" <%} %> data-index="0"><%=data.list[i][11][0][lang]%></div>
                                    <ul class="language yinc">
                                    <%for(var j=0,jlen=data.list[i][11].length; j<jlen;j++){ %>                     
                                         <li><a href="javascript:void(0)" rel="<%=j %>"><%=data.list[i][11][j][lang]%></a></li>
                                    <%} %>
                                    </ul>
                            </div>
                              </span>
                            <%}} else {%>
                                <span class="left pl text"><input type="text" value="" name="control_<%=i %>" <%if(ControlDisabled){ %> disabled="disabled" class="set_disabled"<%} else { %> class="set_value" <%} %> validate='{"type":<%=data.list[i][9] %>,"range":[<%=data.list[i][8]%>,<%=data.list[i][7]%>]}' /> <i><%=data.list[i][8] %>~<%=data.list[i][7] %></i></span><%}%>
                    
                        </li>
                        <li class="t-6"><a href="#" hideFocus="true" class="btn_set <%if(ControlSignal){ %> set_control<%}%> <%if(ControlDisabled){%> btn_set_disabled<%}%>" 
						<%if(!ControlDisabled){%>
							post="equip_ID=<%=data.list[i][2]%>&signal_type=<%=data.list[i][3] %>&signal_id=<%=data.list[i][4] %>&value_type=<%=data.list[i][9] %>&control_type=1"  
							<%if(ControlSignal){ %> tip="<%=jQuery.toJSON(data.list[i][12]) %>"  <%} else { %>value="<%=data.list[i][10]%>" <%} %>
						<%}%>><i>/*[ID_SET1]*/</i></a></li>
                    </ul>
                    <%};}  else { %>
                    <div class="system-no-data">/*[ID_NO_DATA]*/</div>
                    <%} %>
                </div>
            </div>
            </form>
        </div>
      </div>
  </div>
</body></html>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>